import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class AdministrativeReceiptMovement extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly receipt: Reference<sageWhStockData.nodes.AdministrativeReceipt>;
    readonly lineNumber: Promise<integer | null>;
    readonly receiptMovementNumber: Promise<integer>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
    readonly product: Reference<sageWhProductData.nodes.Product>;
    readonly numberOfContainers: Promise<decimal>;
    readonly container: Reference<sageWhProductData.nodes.ProductsContainer>;
    readonly numberOfConsumptionUnit: Promise<decimal>;
    readonly homogeneousQuantity: Promise<decimal>;
    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
}
//# sourceMappingURL=administrative-receipt-movement.d.ts.map