import * as sageWhProductData from '@sage/wh-product-data';
import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class ReceiptMovementContainerLevels extends Node {
    readonly denormalizedIndex: Promise<integer>;
    readonly site: Promise<string>;
    readonly depositor: Promise<string>;
    readonly directInput: Promise<string>;
    readonly directInputLine: Promise<integer>;
    readonly code: Promise<string>;
    readonly _denormalizedParent: Reference<sageWhStockData.nodes.ReceiptMovement>;
    readonly containerLevel: Reference<sageWhProductData.nodes.ProductsContainer | null>;
    readonly quantityOfConsumptionUnitPerLevel: Promise<decimal | null>;
}
//# sourceMappingURL=receipt-movement-container-levels.d.ts.map