import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer, decimal } from '@sage/xtrem-core';
import * as sageWhStock from '..';
export declare class SimplifiedStockCountLine extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly simplifiedStockCount: Reference<sageWhStock.nodes.SimplifiedStockCount>;
    readonly line: Promise<integer | null>;
    readonly status: Promise<sageWhProductData.enums.SimplifiedStockCountStatus | null>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor | null>;
    readonly product: Reference<sageWhProductData.nodes.Product | null>;
    readonly homogeneousQuantity: Promise<decimal>;
    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer>;
    readonly enteredQuantity: Promise<decimal>;
    readonly pendingInputQuantity: Promise<decimal | null>;
    readonly pendingOutputQuantity: Promise<decimal | null>;
    readonly expectedQuantity: Promise<decimal | null>;
}
//# sourceMappingURL=simplified-stock-count-line.d.ts.map