import { ConsumptionUnit } from '../interfaces';
/**
 *  Read the product consumption unit
 *  @param pageInstance
 *  @param siteCode
 *  @param depositorCode
 *  @param productCode
 *  @returns
 */
export declare function getConsumptionUnit(pageInstance: any, siteCode: string, depositorCode: string, productCode: string): Promise<ConsumptionUnit | null>;
/**
 *  Read the product consumption unit Code
 *  @param pageInstance
 *  @param siteCode
 *  @param depositorCode
 *  @param productCode
 *  @returns
 */
export declare function getConsumptionUnitCode(pageInstance: any, siteCode: string, depositorCode: string, productCode: string): Promise<string | null>;
//# sourceMappingURL=getConsumptionUnit.d.ts.map