import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer, date } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class AutoPalletizationOrder extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
    readonly code: Promise<string>;
    readonly status: Promise<sageWhProductData.enums.AutoPalletizationStatus | null>;
    readonly deliveryOrder: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
    readonly numberOfShippingUnits: Promise<integer | null>;
    readonly numberOfParcels: Promise<integer | null>;
    readonly date: Promise<date>;
    readonly time: Promise<string>;
    readonly wave: Reference<sageWhStockData.nodes.Wave | null>;
    readonly preparationArea: Reference<sageWhMasterData.nodes.PreparationArea | null>;
    readonly validatingOperator: Reference<sageWhMasterData.nodes.Operand | null>;
    readonly postingDate: Promise<date | null>;
    readonly postingTime: Promise<integer | null>;
    readonly validatingUser: Promise<string>;
}
//# sourceMappingURL=auto-palletization-order.d.ts.map