import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class StockCountLinesByLocation extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
    readonly selection: Promise<integer | null>;
    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
    readonly status: Promise<sageWhProductData.enums.InventoryLineType | null>;
    readonly numberOfProducts: Promise<integer | null>;
}
//# sourceMappingURL=stock-count-lines-by-location.d.ts.map