import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, date, integer } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class StockCount extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly code: Promise<string>;
    readonly reference: Promise<string>;
    readonly status: Promise<sageWhProductData.enums.InventoryStatus | null>;
    readonly isCreatedByOneCampaign: Promise<boolean>;
    readonly stockCountCampaign: Reference<sageWhStockData.nodes.StockCountCampaign | null>;
    readonly closingDate: Promise<date | null>;
    readonly stockCountType: Promise<sageWhProductData.enums.InventoryType | null>;
    readonly isKeyInSerialNumber: Promise<boolean>;
    readonly isPendingStockCount: Promise<boolean>;
    readonly maximumContainerLevel: Promise<sageWhMasterData.enums.ContainerLevel | null>;
    readonly comments: Promise<string>;
    readonly logFileNumber: Promise<string>;
    readonly numberOfCounting: Promise<integer | null>;
    readonly stockCountCreationOrigin: Promise<sageWhProductData.enums.StockCountCreationOrigin | null>;
}
//# sourceMappingURL=stock-count.d.ts.map