import { GraphApi } from '@sage/wh-stock-api';
import * as ui from '@sage/xtrem-ui';
export declare class MobileViewStockByProduct extends ui.Page<GraphApi> {
    /** internal properties */
    private siteCodeSelected;
    private depositorCodeSelected;
    mainSection: ui.containers.Section;
    productBlock: ui.containers.Block;
    isStockUnitManagement: ui.fields.Checkbox;
    stockUnit: ui.fields.Reference;
    isKeyInLotNumber: ui.fields.Checkbox;
    isKeyInSerialNumber: ui.fields.Checkbox;
    isHazardousMaterials: ui.fields.Checkbox;
    site: ui.fields.Reference;
    depositor: ui.fields.Reference;
    private _initSiteDepositor;
    private disablePage;
    /**
     * get query parameters
     * @returns expected parameters or undefined
     */
    private _getQueryParameters;
    /**
     * Return current parameter before chain another page
     * @return return the current parameters
     */
    private _getCurrentParameters;
}
//# sourceMappingURL=mobile-view-stock-by-product.d.ts.map